<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.GjcBoxAssembleBean" />
    </data>

    <com.mcxtzhang.swipemenulib.SwipeMenuLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="15dp"
                android:layout_marginVertical="6dp"
                android:background="@drawable/bg_item"
                android:gravity="center_vertical"
                android:padding="10dp">

                <ImageView
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_gravity="center"
                    android:src="@mipmap/list_item_left_icon" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="15dp"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        style="@style/tv_item_label"
                        android:text="平板车：" />

                    <TextView
                        style="@style/tv_item_value"
                        android:text="@{bean.carid}" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="15dp"
                    android:layout_weight="1.3"
                    android:gravity="center_vertical">

                    <TextView
                        style="@style/tv_item_label"
                        android:text="ULD：" />

                    <TextView
                        style="@style/tv_item_value"
                        android:text="@{bean.uld}" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="15dp"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        style="@style/tv_item_label"
                        android:text="货重：" />

                    <TextView
                        style="@style/tv_item_value"
                        android:text="@{bean.cargoweight}" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="15dp"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        style="@style/tv_item_label"
                        android:text="目的站：" />

                    <TextView
                        style="@style/tv_item_value"
                        android:text="@{bean.dest}" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="15dp"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        style="@style/tv_item_label"
                        android:text="复磅状态：" />

                    <TextView
                        style="@style/tv_item_value"
                        android:text="@{bean.cflagName}" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="15dp"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        style="@style/tv_item_label"
                        android:text="截载状态：" />

                    <TextView
                        style="@style/tv_item_value"
                        android:text="@{bean.mcloseStatusName}" />

                </androidx.appcompat.widget.LinearLayoutCompat>

            </androidx.appcompat.widget.LinearLayoutCompat>

        </FrameLayout>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="wrap_content"
            android:layout_height="match_parent">

            <TextView
                android:id="@+id/tv_details"
                style="@style/tv_item_action"
                android:background="#facd91"
                android:text="详情" />

            <TextView
                android:id="@+id/tv_delete"
                style="@style/tv_item_action"
                android:background="#df253c"
                android:text="删除" />

        </androidx.appcompat.widget.LinearLayoutCompat>

    </com.mcxtzhang.swipemenulib.SwipeMenuLayout>

</layout>